5

Python 3.1 Vulnerabilities Fixed in Ubuntu 11.10 and Ubuntu 10.04 LTS

view full story
linux-howto

http://news.softpedia.com – On October 24, in a security notice Canonical published details about Python 3.1 vulnerabilities for its Ubuntu 11.04 and Ubuntu 10.04 LTS operating systems. According to Canonical, several security issues were fixed in Python 3.1. It was discovered that Python would prepend an empty string to sys.path under certain circumstances, that distutils contained a race condition when creating the ~/.pypirc file, and it was susceptible to hash algorithm attacks A local attack... (read more) (General)